Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network130.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
130.0.0.0
Broadcast address
130.255.255.255
First usable
130.0.0.1
Last usable
130.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 82000000 · Integer 2181038080 to 2197815295
Reverse DNS zone
130.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000010..00000000.00000000.00000000130.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10000010..00000000.00000000.00000000130.0.0.0
Broadcast10000010..11111111.11111111.11111111130.255.255.255
Split into smaller subnets/18

130.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1130.0.0.0/18130.0.0.1 to 130.0.63.254130.0.63.25516,382
2130.0.64.0/18130.0.64.1 to 130.0.127.254130.0.127.25516,382
3130.0.128.0/18130.0.128.1 to 130.0.191.254130.0.191.25516,382
4130.0.192.0/18130.0.192.1 to 130.0.255.254130.0.255.25516,382
5130.1.0.0/18130.1.0.1 to 130.1.63.254130.1.63.25516,382
6130.1.64.0/18130.1.64.1 to 130.1.127.254130.1.127.25516,382
7130.1.128.0/18130.1.128.1 to 130.1.191.254130.1.191.25516,382
8130.1.192.0/18130.1.192.1 to 130.1.255.254130.1.255.25516,382
9130.2.0.0/18130.2.0.1 to 130.2.63.254130.2.63.25516,382
10130.2.64.0/18130.2.64.1 to 130.2.127.254130.2.127.25516,382
11130.2.128.0/18130.2.128.1 to 130.2.191.254130.2.191.25516,382
12130.2.192.0/18130.2.192.1 to 130.2.255.254130.2.255.25516,382
13130.3.0.0/18130.3.0.1 to 130.3.63.254130.3.63.25516,382
14130.3.64.0/18130.3.64.1 to 130.3.127.254130.3.127.25516,382
15130.3.128.0/18130.3.128.1 to 130.3.191.254130.3.191.25516,382
16130.3.192.0/18130.3.192.1 to 130.3.255.254130.3.255.25516,382
17130.4.0.0/18130.4.0.1 to 130.4.63.254130.4.63.25516,382
18130.4.64.0/18130.4.64.1 to 130.4.127.254130.4.127.25516,382
19130.4.128.0/18130.4.128.1 to 130.4.191.254130.4.191.25516,382
20130.4.192.0/18130.4.192.1 to 130.4.255.254130.4.255.25516,382
21130.5.0.0/18130.5.0.1 to 130.5.63.254130.5.63.25516,382
22130.5.64.0/18130.5.64.1 to 130.5.127.254130.5.127.25516,382
23130.5.128.0/18130.5.128.1 to 130.5.191.254130.5.191.25516,382
24130.5.192.0/18130.5.192.1 to 130.5.255.254130.5.255.25516,382
25130.6.0.0/18130.6.0.1 to 130.6.63.254130.6.63.25516,382
26130.6.64.0/18130.6.64.1 to 130.6.127.254130.6.127.25516,382
27130.6.128.0/18130.6.128.1 to 130.6.191.254130.6.191.25516,382
28130.6.192.0/18130.6.192.1 to 130.6.255.254130.6.255.25516,382
29130.7.0.0/18130.7.0.1 to 130.7.63.254130.7.63.25516,382
30130.7.64.0/18130.7.64.1 to 130.7.127.254130.7.127.25516,382
31130.7.128.0/18130.7.128.1 to 130.7.191.254130.7.191.25516,382
32130.7.192.0/18130.7.192.1 to 130.7.255.254130.7.255.25516,382
33130.8.0.0/18130.8.0.1 to 130.8.63.254130.8.63.25516,382
34130.8.64.0/18130.8.64.1 to 130.8.127.254130.8.127.25516,382
35130.8.128.0/18130.8.128.1 to 130.8.191.254130.8.191.25516,382
36130.8.192.0/18130.8.192.1 to 130.8.255.254130.8.255.25516,382
37130.9.0.0/18130.9.0.1 to 130.9.63.254130.9.63.25516,382
38130.9.64.0/18130.9.64.1 to 130.9.127.254130.9.127.25516,382
39130.9.128.0/18130.9.128.1 to 130.9.191.254130.9.191.25516,382
40130.9.192.0/18130.9.192.1 to 130.9.255.254130.9.255.25516,382
41130.10.0.0/18130.10.0.1 to 130.10.63.254130.10.63.25516,382
42130.10.64.0/18130.10.64.1 to 130.10.127.254130.10.127.25516,382
43130.10.128.0/18130.10.128.1 to 130.10.191.254130.10.191.25516,382
44130.10.192.0/18130.10.192.1 to 130.10.255.254130.10.255.25516,382
45130.11.0.0/18130.11.0.1 to 130.11.63.254130.11.63.25516,382
46130.11.64.0/18130.11.64.1 to 130.11.127.254130.11.127.25516,382
47130.11.128.0/18130.11.128.1 to 130.11.191.254130.11.191.25516,382
48130.11.192.0/18130.11.192.1 to 130.11.255.254130.11.255.25516,382
49130.12.0.0/18130.12.0.1 to 130.12.63.254130.12.63.25516,382
50130.12.64.0/18130.12.64.1 to 130.12.127.254130.12.127.25516,382
51130.12.128.0/18130.12.128.1 to 130.12.191.254130.12.191.25516,382
52130.12.192.0/18130.12.192.1 to 130.12.255.254130.12.255.25516,382
53130.13.0.0/18130.13.0.1 to 130.13.63.254130.13.63.25516,382
54130.13.64.0/18130.13.64.1 to 130.13.127.254130.13.127.25516,382
55130.13.128.0/18130.13.128.1 to 130.13.191.254130.13.191.25516,382
56130.13.192.0/18130.13.192.1 to 130.13.255.254130.13.255.25516,382
57130.14.0.0/18130.14.0.1 to 130.14.63.254130.14.63.25516,382
58130.14.64.0/18130.14.64.1 to 130.14.127.254130.14.127.25516,382
59130.14.128.0/18130.14.128.1 to 130.14.191.254130.14.191.25516,382
60130.14.192.0/18130.14.192.1 to 130.14.255.254130.14.255.25516,382
61130.15.0.0/18130.15.0.1 to 130.15.63.254130.15.63.25516,382
62130.15.64.0/18130.15.64.1 to 130.15.127.254130.15.127.25516,382
63130.15.128.0/18130.15.128.1 to 130.15.191.254130.15.191.25516,382
64130.15.192.0/18130.15.192.1 to 130.15.255.254130.15.255.25516,382
65130.16.0.0/18130.16.0.1 to 130.16.63.254130.16.63.25516,382
66130.16.64.0/18130.16.64.1 to 130.16.127.254130.16.127.25516,382
67130.16.128.0/18130.16.128.1 to 130.16.191.254130.16.191.25516,382
68130.16.192.0/18130.16.192.1 to 130.16.255.254130.16.255.25516,382
69130.17.0.0/18130.17.0.1 to 130.17.63.254130.17.63.25516,382
70130.17.64.0/18130.17.64.1 to 130.17.127.254130.17.127.25516,382
71130.17.128.0/18130.17.128.1 to 130.17.191.254130.17.191.25516,382
72130.17.192.0/18130.17.192.1 to 130.17.255.254130.17.255.25516,382
73130.18.0.0/18130.18.0.1 to 130.18.63.254130.18.63.25516,382
74130.18.64.0/18130.18.64.1 to 130.18.127.254130.18.127.25516,382
75130.18.128.0/18130.18.128.1 to 130.18.191.254130.18.191.25516,382
76130.18.192.0/18130.18.192.1 to 130.18.255.254130.18.255.25516,382
77130.19.0.0/18130.19.0.1 to 130.19.63.254130.19.63.25516,382
78130.19.64.0/18130.19.64.1 to 130.19.127.254130.19.127.25516,382
79130.19.128.0/18130.19.128.1 to 130.19.191.254130.19.191.25516,382
80130.19.192.0/18130.19.192.1 to 130.19.255.254130.19.255.25516,382
81130.20.0.0/18130.20.0.1 to 130.20.63.254130.20.63.25516,382
82130.20.64.0/18130.20.64.1 to 130.20.127.254130.20.127.25516,382
83130.20.128.0/18130.20.128.1 to 130.20.191.254130.20.191.25516,382
84130.20.192.0/18130.20.192.1 to 130.20.255.254130.20.255.25516,382
85130.21.0.0/18130.21.0.1 to 130.21.63.254130.21.63.25516,382
86130.21.64.0/18130.21.64.1 to 130.21.127.254130.21.127.25516,382
87130.21.128.0/18130.21.128.1 to 130.21.191.254130.21.191.25516,382
88130.21.192.0/18130.21.192.1 to 130.21.255.254130.21.255.25516,382
89130.22.0.0/18130.22.0.1 to 130.22.63.254130.22.63.25516,382
90130.22.64.0/18130.22.64.1 to 130.22.127.254130.22.127.25516,382
91130.22.128.0/18130.22.128.1 to 130.22.191.254130.22.191.25516,382
92130.22.192.0/18130.22.192.1 to 130.22.255.254130.22.255.25516,382
93130.23.0.0/18130.23.0.1 to 130.23.63.254130.23.63.25516,382
94130.23.64.0/18130.23.64.1 to 130.23.127.254130.23.127.25516,382
95130.23.128.0/18130.23.128.1 to 130.23.191.254130.23.191.25516,382
96130.23.192.0/18130.23.192.1 to 130.23.255.254130.23.255.25516,382
97130.24.0.0/18130.24.0.1 to 130.24.63.254130.24.63.25516,382
98130.24.64.0/18130.24.64.1 to 130.24.127.254130.24.127.25516,382
99130.24.128.0/18130.24.128.1 to 130.24.191.254130.24.191.25516,382
100130.24.192.0/18130.24.192.1 to 130.24.255.254130.24.255.25516,382
101130.25.0.0/18130.25.0.1 to 130.25.63.254130.25.63.25516,382
102130.25.64.0/18130.25.64.1 to 130.25.127.254130.25.127.25516,382
103130.25.128.0/18130.25.128.1 to 130.25.191.254130.25.191.25516,382
104130.25.192.0/18130.25.192.1 to 130.25.255.254130.25.255.25516,382
105130.26.0.0/18130.26.0.1 to 130.26.63.254130.26.63.25516,382
106130.26.64.0/18130.26.64.1 to 130.26.127.254130.26.127.25516,382
107130.26.128.0/18130.26.128.1 to 130.26.191.254130.26.191.25516,382
108130.26.192.0/18130.26.192.1 to 130.26.255.254130.26.255.25516,382
109130.27.0.0/18130.27.0.1 to 130.27.63.254130.27.63.25516,382
110130.27.64.0/18130.27.64.1 to 130.27.127.254130.27.127.25516,382
111130.27.128.0/18130.27.128.1 to 130.27.191.254130.27.191.25516,382
112130.27.192.0/18130.27.192.1 to 130.27.255.254130.27.255.25516,382
113130.28.0.0/18130.28.0.1 to 130.28.63.254130.28.63.25516,382
114130.28.64.0/18130.28.64.1 to 130.28.127.254130.28.127.25516,382
115130.28.128.0/18130.28.128.1 to 130.28.191.254130.28.191.25516,382
116130.28.192.0/18130.28.192.1 to 130.28.255.254130.28.255.25516,382
117130.29.0.0/18130.29.0.1 to 130.29.63.254130.29.63.25516,382
118130.29.64.0/18130.29.64.1 to 130.29.127.254130.29.127.25516,382
119130.29.128.0/18130.29.128.1 to 130.29.191.254130.29.191.25516,382
120130.29.192.0/18130.29.192.1 to 130.29.255.254130.29.255.25516,382
121130.30.0.0/18130.30.0.1 to 130.30.63.254130.30.63.25516,382
122130.30.64.0/18130.30.64.1 to 130.30.127.254130.30.127.25516,382
123130.30.128.0/18130.30.128.1 to 130.30.191.254130.30.191.25516,382
124130.30.192.0/18130.30.192.1 to 130.30.255.254130.30.255.25516,382
125130.31.0.0/18130.31.0.1 to 130.31.63.254130.31.63.25516,382
126130.31.64.0/18130.31.64.1 to 130.31.127.254130.31.127.25516,382
127130.31.128.0/18130.31.128.1 to 130.31.191.254130.31.191.25516,382
128130.31.192.0/18130.31.192.1 to 130.31.255.254130.31.255.25516,382
129130.32.0.0/18130.32.0.1 to 130.32.63.254130.32.63.25516,382
130130.32.64.0/18130.32.64.1 to 130.32.127.254130.32.127.25516,382
131130.32.128.0/18130.32.128.1 to 130.32.191.254130.32.191.25516,382
132130.32.192.0/18130.32.192.1 to 130.32.255.254130.32.255.25516,382
133130.33.0.0/18130.33.0.1 to 130.33.63.254130.33.63.25516,382
134130.33.64.0/18130.33.64.1 to 130.33.127.254130.33.127.25516,382
135130.33.128.0/18130.33.128.1 to 130.33.191.254130.33.191.25516,382
136130.33.192.0/18130.33.192.1 to 130.33.255.254130.33.255.25516,382
137130.34.0.0/18130.34.0.1 to 130.34.63.254130.34.63.25516,382
138130.34.64.0/18130.34.64.1 to 130.34.127.254130.34.127.25516,382
139130.34.128.0/18130.34.128.1 to 130.34.191.254130.34.191.25516,382
140130.34.192.0/18130.34.192.1 to 130.34.255.254130.34.255.25516,382
141130.35.0.0/18130.35.0.1 to 130.35.63.254130.35.63.25516,382
142130.35.64.0/18130.35.64.1 to 130.35.127.254130.35.127.25516,382
143130.35.128.0/18130.35.128.1 to 130.35.191.254130.35.191.25516,382
144130.35.192.0/18130.35.192.1 to 130.35.255.254130.35.255.25516,382
145130.36.0.0/18130.36.0.1 to 130.36.63.254130.36.63.25516,382
146130.36.64.0/18130.36.64.1 to 130.36.127.254130.36.127.25516,382
147130.36.128.0/18130.36.128.1 to 130.36.191.254130.36.191.25516,382
148130.36.192.0/18130.36.192.1 to 130.36.255.254130.36.255.25516,382
149130.37.0.0/18130.37.0.1 to 130.37.63.254130.37.63.25516,382
150130.37.64.0/18130.37.64.1 to 130.37.127.254130.37.127.25516,382
151130.37.128.0/18130.37.128.1 to 130.37.191.254130.37.191.25516,382
152130.37.192.0/18130.37.192.1 to 130.37.255.254130.37.255.25516,382
153130.38.0.0/18130.38.0.1 to 130.38.63.254130.38.63.25516,382
154130.38.64.0/18130.38.64.1 to 130.38.127.254130.38.127.25516,382
155130.38.128.0/18130.38.128.1 to 130.38.191.254130.38.191.25516,382
156130.38.192.0/18130.38.192.1 to 130.38.255.254130.38.255.25516,382
157130.39.0.0/18130.39.0.1 to 130.39.63.254130.39.63.25516,382
158130.39.64.0/18130.39.64.1 to 130.39.127.254130.39.127.25516,382
159130.39.128.0/18130.39.128.1 to 130.39.191.254130.39.191.25516,382
160130.39.192.0/18130.39.192.1 to 130.39.255.254130.39.255.25516,382
161130.40.0.0/18130.40.0.1 to 130.40.63.254130.40.63.25516,382
162130.40.64.0/18130.40.64.1 to 130.40.127.254130.40.127.25516,382
163130.40.128.0/18130.40.128.1 to 130.40.191.254130.40.191.25516,382
164130.40.192.0/18130.40.192.1 to 130.40.255.254130.40.255.25516,382
165130.41.0.0/18130.41.0.1 to 130.41.63.254130.41.63.25516,382
166130.41.64.0/18130.41.64.1 to 130.41.127.254130.41.127.25516,382
167130.41.128.0/18130.41.128.1 to 130.41.191.254130.41.191.25516,382
168130.41.192.0/18130.41.192.1 to 130.41.255.254130.41.255.25516,382
169130.42.0.0/18130.42.0.1 to 130.42.63.254130.42.63.25516,382
170130.42.64.0/18130.42.64.1 to 130.42.127.254130.42.127.25516,382
171130.42.128.0/18130.42.128.1 to 130.42.191.254130.42.191.25516,382
172130.42.192.0/18130.42.192.1 to 130.42.255.254130.42.255.25516,382
173130.43.0.0/18130.43.0.1 to 130.43.63.254130.43.63.25516,382
174130.43.64.0/18130.43.64.1 to 130.43.127.254130.43.127.25516,382
175130.43.128.0/18130.43.128.1 to 130.43.191.254130.43.191.25516,382
176130.43.192.0/18130.43.192.1 to 130.43.255.254130.43.255.25516,382
177130.44.0.0/18130.44.0.1 to 130.44.63.254130.44.63.25516,382
178130.44.64.0/18130.44.64.1 to 130.44.127.254130.44.127.25516,382
179130.44.128.0/18130.44.128.1 to 130.44.191.254130.44.191.25516,382
180130.44.192.0/18130.44.192.1 to 130.44.255.254130.44.255.25516,382
181130.45.0.0/18130.45.0.1 to 130.45.63.254130.45.63.25516,382
182130.45.64.0/18130.45.64.1 to 130.45.127.254130.45.127.25516,382
183130.45.128.0/18130.45.128.1 to 130.45.191.254130.45.191.25516,382
184130.45.192.0/18130.45.192.1 to 130.45.255.254130.45.255.25516,382
185130.46.0.0/18130.46.0.1 to 130.46.63.254130.46.63.25516,382
186130.46.64.0/18130.46.64.1 to 130.46.127.254130.46.127.25516,382
187130.46.128.0/18130.46.128.1 to 130.46.191.254130.46.191.25516,382
188130.46.192.0/18130.46.192.1 to 130.46.255.254130.46.255.25516,382
189130.47.0.0/18130.47.0.1 to 130.47.63.254130.47.63.25516,382
190130.47.64.0/18130.47.64.1 to 130.47.127.254130.47.127.25516,382
191130.47.128.0/18130.47.128.1 to 130.47.191.254130.47.191.25516,382
192130.47.192.0/18130.47.192.1 to 130.47.255.254130.47.255.25516,382
193130.48.0.0/18130.48.0.1 to 130.48.63.254130.48.63.25516,382
194130.48.64.0/18130.48.64.1 to 130.48.127.254130.48.127.25516,382
195130.48.128.0/18130.48.128.1 to 130.48.191.254130.48.191.25516,382
196130.48.192.0/18130.48.192.1 to 130.48.255.254130.48.255.25516,382
197130.49.0.0/18130.49.0.1 to 130.49.63.254130.49.63.25516,382
198130.49.64.0/18130.49.64.1 to 130.49.127.254130.49.127.25516,382
199130.49.128.0/18130.49.128.1 to 130.49.191.254130.49.191.25516,382
200130.49.192.0/18130.49.192.1 to 130.49.255.254130.49.255.25516,382
201130.50.0.0/18130.50.0.1 to 130.50.63.254130.50.63.25516,382
202130.50.64.0/18130.50.64.1 to 130.50.127.254130.50.127.25516,382
203130.50.128.0/18130.50.128.1 to 130.50.191.254130.50.191.25516,382
204130.50.192.0/18130.50.192.1 to 130.50.255.254130.50.255.25516,382
205130.51.0.0/18130.51.0.1 to 130.51.63.254130.51.63.25516,382
206130.51.64.0/18130.51.64.1 to 130.51.127.254130.51.127.25516,382
207130.51.128.0/18130.51.128.1 to 130.51.191.254130.51.191.25516,382
208130.51.192.0/18130.51.192.1 to 130.51.255.254130.51.255.25516,382
209130.52.0.0/18130.52.0.1 to 130.52.63.254130.52.63.25516,382
210130.52.64.0/18130.52.64.1 to 130.52.127.254130.52.127.25516,382
211130.52.128.0/18130.52.128.1 to 130.52.191.254130.52.191.25516,382
212130.52.192.0/18130.52.192.1 to 130.52.255.254130.52.255.25516,382
213130.53.0.0/18130.53.0.1 to 130.53.63.254130.53.63.25516,382
214130.53.64.0/18130.53.64.1 to 130.53.127.254130.53.127.25516,382
215130.53.128.0/18130.53.128.1 to 130.53.191.254130.53.191.25516,382
216130.53.192.0/18130.53.192.1 to 130.53.255.254130.53.255.25516,382
217130.54.0.0/18130.54.0.1 to 130.54.63.254130.54.63.25516,382
218130.54.64.0/18130.54.64.1 to 130.54.127.254130.54.127.25516,382
219130.54.128.0/18130.54.128.1 to 130.54.191.254130.54.191.25516,382
220130.54.192.0/18130.54.192.1 to 130.54.255.254130.54.255.25516,382
221130.55.0.0/18130.55.0.1 to 130.55.63.254130.55.63.25516,382
222130.55.64.0/18130.55.64.1 to 130.55.127.254130.55.127.25516,382
223130.55.128.0/18130.55.128.1 to 130.55.191.254130.55.191.25516,382
224130.55.192.0/18130.55.192.1 to 130.55.255.254130.55.255.25516,382
225130.56.0.0/18130.56.0.1 to 130.56.63.254130.56.63.25516,382
226130.56.64.0/18130.56.64.1 to 130.56.127.254130.56.127.25516,382
227130.56.128.0/18130.56.128.1 to 130.56.191.254130.56.191.25516,382
228130.56.192.0/18130.56.192.1 to 130.56.255.254130.56.255.25516,382
229130.57.0.0/18130.57.0.1 to 130.57.63.254130.57.63.25516,382
230130.57.64.0/18130.57.64.1 to 130.57.127.254130.57.127.25516,382
231130.57.128.0/18130.57.128.1 to 130.57.191.254130.57.191.25516,382
232130.57.192.0/18130.57.192.1 to 130.57.255.254130.57.255.25516,382
233130.58.0.0/18130.58.0.1 to 130.58.63.254130.58.63.25516,382
234130.58.64.0/18130.58.64.1 to 130.58.127.254130.58.127.25516,382
235130.58.128.0/18130.58.128.1 to 130.58.191.254130.58.191.25516,382
236130.58.192.0/18130.58.192.1 to 130.58.255.254130.58.255.25516,382
237130.59.0.0/18130.59.0.1 to 130.59.63.254130.59.63.25516,382
238130.59.64.0/18130.59.64.1 to 130.59.127.254130.59.127.25516,382
239130.59.128.0/18130.59.128.1 to 130.59.191.254130.59.191.25516,382
240130.59.192.0/18130.59.192.1 to 130.59.255.254130.59.255.25516,382
241130.60.0.0/18130.60.0.1 to 130.60.63.254130.60.63.25516,382
242130.60.64.0/18130.60.64.1 to 130.60.127.254130.60.127.25516,382
243130.60.128.0/18130.60.128.1 to 130.60.191.254130.60.191.25516,382
244130.60.192.0/18130.60.192.1 to 130.60.255.254130.60.255.25516,382
245130.61.0.0/18130.61.0.1 to 130.61.63.254130.61.63.25516,382
246130.61.64.0/18130.61.64.1 to 130.61.127.254130.61.127.25516,382
247130.61.128.0/18130.61.128.1 to 130.61.191.254130.61.191.25516,382
248130.61.192.0/18130.61.192.1 to 130.61.255.254130.61.255.25516,382
249130.62.0.0/18130.62.0.1 to 130.62.63.254130.62.63.25516,382
250130.62.64.0/18130.62.64.1 to 130.62.127.254130.62.127.25516,382
251130.62.128.0/18130.62.128.1 to 130.62.191.254130.62.191.25516,382
252130.62.192.0/18130.62.192.1 to 130.62.255.254130.62.255.25516,382
253130.63.0.0/18130.63.0.1 to 130.63.63.254130.63.63.25516,382
254130.63.64.0/18130.63.64.1 to 130.63.127.254130.63.127.25516,382
255130.63.128.0/18130.63.128.1 to 130.63.191.254130.63.191.25516,382
256130.63.192.0/18130.63.192.1 to 130.63.255.254130.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses